function [vt, c] = getColorFromTesture(M_vt, texture)
    
    vt(:,1) = ceil((M_vt(:,1)*size(texture,1)));
    vt(:,2) = ceil((M_vt(:,2)*size(texture,2)));
    vt(find(vt(:,1) <= 0),1) = 1;
    vt(find(vt(:,2) <= 0),2) = 1;
    vt(find(vt(:,1) > size(texture,1)),1) = size(texture,1);
    vt(find(vt(:,2) > size(texture,2)),2) = size(texture,2); 
    
    c1=texture(:,:,1);
    c2=texture(:,:,2);
    c3=texture(:,:,3);
%     c = diag(c1(vt(:,1=),vt(:,2)));
%     c = [c, diag(c2(vt(:,1),vt(:,2)))];
%     c = [c, diag(c3(vt(:,1),vt(:,2)))];
      idx = sub2ind(size(texture(:,:,1)), vt(:,1), vt(:,2));
      c = c1(idx);
      c = [c, c2(idx)];
      c = [c, c3(idx)];
end