function [idx, flip] = selectCurvePoint(figure, curves, points)

datacursormode on
dcm_obj = datacursormode(figure); 

fprintf(1,'Press any key when you have selected your vertex.\n');
pause;
a = getCursorInfo(dcm_obj);
p = a.Position;

diff = points(curves(:,2)+1, :)-repmat(p,size(curves(:,2),1),1);
dnorm = sum(diff.^2, 2);
[v,searchResult] = min(dnorm);
 idx = curves(searchResult,1);
 
 curveindices = find(curves(:,1) == idx);
 pos = find(curveindices == searchResult);
 if pos > 0.5*length(curveindices)
     flip = true;
 else
     flip = false;
 end
    